%define name SportsTracker
%define version 5.7.0
%define release %mkrel 1

Summary: Application to record sporting activities
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Office
URL: http://www.saring.de/sportstracker/
Source: http://dl.sourceforge.net/sourceforge/sportstracker/%{name}-%{version}-bin.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: desktop-file-utils
BuildArch: noarch
Requires: java >= 1.7
Obsoletes:  %name < %version


%description
SportsTracker is an application for people who want to record 
their sporting activities. It is not bound to a specific kind of 
sport, the user can create categories for all sport types which 
are endurance related, such as cycling, running or swimming.

%prep
%setup -q -n %{name}-%{version}-bin

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_datadir/%name
cp -af lib sportstracker-%{version}.jar %buildroot%_datadir/%name

#launcher
mkdir -p %buildroot%_bindir
cat > %buildroot%_bindir/sportstracker << EOF
#!/bin/sh
cd %_datadir/%{name}
java -jar ./sportstracker-%{version}.jar
EOF
chmod +x %buildroot%_bindir/sportstracker

# desktop menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/sportstracker.desktop << EOF
[Desktop Entry]
Type=Application
Name=SportsTracker
Comment=Track your sportive activity
Exec=sportstracker
Icon=%name.png
Categories=GTK;Office;X-MandrivaLinux-Office-Other;
Terminal=false
EOF

# icon
mkdir -p %buildroot%_datadir/pixmaps
install -m 644 st-logo-512.png \
%buildroot%_datadir/pixmaps/%name.png
convert -scale 48 %buildroot/%_datadir/pixmaps/%name.png \
%buildroot/%_datadir/pixmaps/%name.png

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc docs/*.txt
%{_bindir}/sportstracker
%{_datadir}/%name
%_datadir/applications/*.desktop
%_datadir/pixmaps/%name.png


%changelog
* Tue Jul 23 2013 Ken <lxgator at gmail.com> 5.0.7-1pclos2013
- 5.7.0

* Mon Jul 12 2010 slick50 <lxgator at gmail.com> 5.0.0-1pclos2010
- 5.0.0

* Wed May 12 2010 slick50 <lxgatorat gmail.com> 4.2.0-1pclos2010
- 4.2.0

* Sat Jan 09 2010 slick50 <lxgatorat gmail.com> 4.1.1-1pclos2010
- 4.1.1

* Sat Sep 01 2007 Patred Theknight <edupclos@gmail.com> 2.4.2-1pclos2007
- Rebuild for PCLinuxOS 2007

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2007.0
+ Revision: 117088
- new version
- build with gmcs
